* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: #fff;
    color: var(--text-color);
    font-family: var(--custom-font-family);
}

main.moudle {
    background-color: #ddeff5;
}

a,img {
    display: block;
    text-decoration: none;
}

img{
    width: 100%;
}

ul,li {
    padding: 0;
    margin: 0;
    list-style: none;
    text-decoration: none;
}

/* style guide */
:root {
    /* color */
    --main-color: #67bab5;
    --dark-main-color: #3e8d88;
    --light-main-color: #90bfbc;

    --green-color-1:#2b6662;

    --form-light-title:#93cbc7;
    --form-dark-title:#90bfbc;

    --text-color: #000000;
    --header-icon-bg: #606060;
    --btn-color: #ffffff;

    /* font-size */
    --font-48: 48px;
    --font-40: 40px;
    --font-32: 32px;
    --font-28: 28px;
    --font-24: 24px;
    --font-22: 22px;
    --font-20: 20px;
    --font-18: 18px;
    --font-16: 16px;
    --font-14: 14px;
    --font-12: 12px;

    /* font-family */
    --custom-font-family: "Noto Sans TC","Schibsted Grotesk" ,serif,system-ui,-apple-system,"Segoe UI",Roboto,"Helvetica Neue","Noto Sans","Liberation Sans",Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";

    /* font-size */
    --font-bolder-600:600;
    --font-bolder-700:700;
    --font-bolder-900:900;


    --header-item-width: calc(100% / 6);
}

/* text */
.vertical-text{
    writing-mode: vertical-rl; /* 垂直书写，从右到左 */
    text-orientation: upright; /* 文字直立 */
}

/* scroll style */
.scrollbar-style {
    /*padding-right: 3px;*/
}

.scrollbar-style::-webkit-scrollbar {
    width: 8px;
    background-color: whitesmoke;
}

/* Track */
.scrollbar-style::-webkit-scrollbar-track {
    box-shadow: inset 0 0 5px whitesmoke;
    border-radius: 10px;
}

/* Handle */
.scrollbar-style::-webkit-scrollbar-thumb {
    background: #cccccc;
    border-radius: 10px;
}

/* Handle on hover */
.scrollbar-style::-webkit-scrollbar-thumb:hover {
    background: #cccccc;
}

/* button style */
.custom-btn-fill {
    background-color: var(--main-color);
    color: var(--btn-color);
    min-width: 150px;
    padding: 5px 16px;
    padding-bottom: 7px;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
}

.btn-radius{
    border-radius: 32px;
}

.btn-right-icon{
    position: relative;
}

.icon-right{
    position: relative;
}

.icon-right::after{
    display: flex;
    align-items: center;
    content: "\e907";
    margin-left: 8px;
    font-size: 10px;
    padding-top: 4px;
    font-weight: lighter;
}

.custom-btn-fill:hover {
    background-color: var(--dark-main-color);
}

/* animate */
.animate-4 {
    transition: all ease-in-out .4s;
}

.animate-2 {
    transition: all ease-in-out .2s;
}

/* input disable style */
input:disabled{
    background-color: #d2d2d2 !important;
}

/* dialog */
dialog{
    display: none !important;
    opacity: 0 !important;
    z-index: -1 !important;
}
dialog[open] {
    transition: all .4s ease-in-out;
    opacity: 1 !important;
    display: block !important;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 80vw;
    z-index: 999999 !important;
}

dialog[open].full-dialog .dialog-content {
    background-color: #fff;
    /* background-color: #e7e7e7a8; */
    width: 100%;
    height: 100vh;
    padding: 3vh 15vw;
    padding-bottom: 48px;
    position: relative;
}

dialog[open].full-dialog{
    width: 100vw;
    height: 100vh;
    background-color: #e7e7e7a8;
    border: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0;
}

dialog[open].full-dialog .dialog-content {
    background-color: #fff;
    /* background-color: #e7e7e7a8; */

    width: 100%;
    height: 100vh;
    padding: 3vh 15vw;
    padding-bottom: 48px;
    position: relative;
}

/* video dialog */
.close-btn.video-close-btn {
    position: absolute;
    top: 16px;
    right: 32px;
    width: max-content;
    height: max-content;
    line-height: 1;
    background-color: var(--main-color);
    border: 0;
    font-size: 24px;
    color: #fff;
    padding: 16px 16px;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 99;
    transition: all .4s ease-in-out;
    border-radius: 50%;
}

.close-btn.video-close-btn:hover {
    background-color: var(--dark-main-color);
    transition: all .4s ease-in-out;
}


/* small dialog */
dialog[open].small-dialog{
    display: flex !important;
}

dialog[open].small-dialog .modal-content .modal-header {
    background-color: var(--main-color);
    border: none;
    padding: 1.25rem 24px;
    border-radius: 16px 16px 0px 0px;
}

dialog[open].small-dialog .modal-content{
    background-color: transparent !important;
}

dialog[open].small-dialog .modal-body{
    height: 80vh;
    max-height: max-content;
    background-color: #f8f8f8;
    border-radius: 0px 0px 16px 16px;
    padding: 24px;
    overflow-y: scroll;
}

dialog[open].small-dialog .close-btn{
    position: absolute;
    top: 13px;
    right: 13px;
    width: max-content;
    height: max-content;
    line-height: 1;
    background-color: var(--dark-main-color);
    border: 0;
    font-size: var(--font-22);
    color: #fff;
    padding: 12px 12px;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 99;
    transition: all .4s ease-in-out;
    border-radius: 50%;
}

dialog[open].small-dialog .close-btn:hover {
    background-color: var(--green-color-1);
    transition: all .4s ease-in-out;
}

/* tabs */
.c-tab-btns{
    display: flex;
    background-color: #b2d6d4;
    border-radius: 16px 16px 0px 0px;
    padding: 8px 8px 0px 8px;
}

.c-tab-btns.t-4 .c-tab-btn,.c-tab-btns.t-4 .a-c-tab-btn{
    width: calc(100% / 4);
    color: #fff;
}

.c-tab-btns.t-2 .c-tab-btn{
    width: calc(100% / 2);
}

.c-tab-btns .c-tab-btn,.c-tab-btns .a-c-tab-btn{
    border-radius: 16px 16px 0px 0px;
    display: flex;
    justify-content: center;
    padding: 5px;
    font-weight: var(--font-bolder-600);
    font-size: var(--font-20);
    cursor: pointer;
    transition: all .4s ease-in-out;
}

.c-tab-btns .c-tab-btn:hover,.c-tab-btns .a-c-tab-btn:hover{
    background-color: var(--main-color);
    transition: all .4s ease-in-out;
}

.c-tab-btns .c-tab-btn.active,.c-tab-btns .a-c-tab-btn.active{
    background-color: #fff;
    color: #66BAB5;
}

.c-tab-content{
    display: none;
}

.a-c-tab-content{
    display: block;
}
/* inbanner */
.inbanner {
    position: relative;
    display: flex;
    align-items: center;
}

.inbanner img {
    border-radius: 10px;
}

.inbanner-title {
    position: absolute;
    left: 48px;
    color: #fff;
    display: flex;
    align-items: center;
    font-size: var(--font-32);
    font-weight: var(--font-bolder-600);
}

.inbanner-title img {
    width: 48px;
    margin-right: 16px;
    border-radius: 0;
}

/* pagination */
.pagination-group {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 24px 0px;
    padding-right: 120px;
    position: relative;

}

.pagination {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 3px;
}

.pagination-dropdown {
    width: 100px;
    position: absolute;
    right: 0;
}

.pagination-dropdown button {
    width: 100%;
    height: 36px;
    background-color: #fff;
    color: #545454;
    border: 0;
    border-radius: 3px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.pagination-dropdown button:hover,
.pagination-dropdown .show,
.pagination-dropdown:focus-visible,
.pagination-dropdown:active {
    background-color: whitesmoke !important;
    color: #545454 !important;
}

.pagination-dropdown button::before {
    content: "\e905";
    position: absolute;
    right: 8px;
    top: 50%;
    transform: translate(0, -50%);
    font-size: 5px;
}

.pagination-dropdown button::after {
    display: none;
}

.pagination-dropdown-menu {
    width: 100%;
    min-width: 0;
    z-index: 10;
    height: 200px;
    max-height: max-content;
    overflow-y: auto;
}

.page-link:link,
.page-link:visited {
    text-decoration: none;
    color: #545454;
    font-size: 18px;
    height: 36px;
    width: 36px;
    border-radius: 50%;

    display: flex;
    align-items: center;
    justify-content: center;
    background-color: transparent;
    border: 0;
    padding-bottom: 7px;
    font-weight: var(--font-bolder-600);
}

.page-link:hover,
.page-link:active,
.page-link.page-link--current {
    background-color: var(--dark-main-color);
    color: #fff;
}

.dots {
    color: #545454;
}

/* container */
.container-fluid{
    padding:0px 120px;
}

section{
    padding: 64px 0px;
}

.a-l-c{
    align-items: center;
}
 

/* header */
/* header base */
@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

.dropdown-menu.show {
    -webkit-animation: fadeIn 0.3s alternate;
    /* Safari 4.0 - 8.0 */
    animation: fadeIn 0.3s alternate;
    width: 100%;
}

.nav-item.dropdown:hover > .dropdown-menu {
    display: block;
}

/* nav dropdown hover  */
.dropdown-menu .dropdown-item.dropdown-toggle:hover + .dropdown-menu {
    display: block;
}

.dropdown-menu {
    display: none;
    position: absolute !important;
    background-color: #f9f9f9;
    background-color: #c5e3e2;
    width: 100%;
    min-width: 160px;
    min-width: 100px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    box-shadow: none !important;
    border: none;
    border-radius: 0;
    z-index: 20;
}

.dropdown-menu .dropdown-item{
    padding-top: 8px;
    padding-bottom: 8px;
}

.dropdown-item:focus, .dropdown-item:hover{
    background-color: var(--dark-main-color);
    color: #fff;
}

.dropdown-menu .dropdown-menu{
    left: 100%;
    top: 0;
}

.dropend:hover > .dropdown-menu {
    display: block;
}

.nav-item.dropdown.dropdown-mega {
    position: static;
}

.nav-item.dropdown.dropdown-mega .dropdown-menu {
    width: 90%;
    top: auto;
    left: 5%;
}

.navbar-toggler {
    border: none;
    padding: 0;
    outline: none;
}

.navbar-toggler:focus {
    box-shadow: none;
}

.navbar-toggler .hamburger-toggle {
    position: relative;
    display: inline-block;
    width: 50px;
    height: 50px;
    z-index: 11;
    float: right;
}

.navbar-toggler .hamburger-toggle .hamburger {
    position: absolute;
    transform: translate(-50%, -50%) rotate(0deg);
    left: 50%;
    top: 50%;
    width: 50%;
    height: 50%;
    pointer-events: none;
}

.navbar-toggler .hamburger-toggle .hamburger span {
    width: 100%;
    height: 4px;
    position: absolute;
    background: #333;
    border-radius: 2px;
    z-index: 1;
    transition: transform 0.2s cubic-bezier(0.77, 0.2, 0.05, 1), background 0.2s cubic-bezier(0.77, 0.2, 0.05, 1), all 0.2s ease-in-out;
    left: 0px;
}

.navbar-toggler .hamburger-toggle .hamburger span:first-child {
    top: 10%;
    transform-origin: 50% 50%;
    transform: translate(0% -50%) !important;
}

.navbar-toggler .hamburger-toggle .hamburger span:nth-child(2) {
    top: 50%;
    transform: translate(0, -50%);
}

.navbar-toggler .hamburger-toggle .hamburger span:last-child {
    left: 0px;
    top: auto;
    bottom: 10%;
    transform-origin: 50% 50%;
}

.navbar-toggler .hamburger-toggle .hamburger.active span {
    position: absolute;
    margin: 0;
}

.navbar-toggler .hamburger-toggle .hamburger.active span:first-child {
    top: 45%;
    transform: rotate(45deg);
}

.navbar-toggler .hamburger-toggle .hamburger.active span:nth-child(2) {
    left: 50%;
    width: 0px;
}

.navbar-toggler .hamburger-toggle .hamburger.active span:last-child {
    top: 45%;
    transform: rotate(-45deg);
}

.icons {
    display: inline-flex;
    margin-left: auto;
}

.icons a {
    transition: all 0.2s ease-in-out;
    padding: 0.2rem 0.4rem;
    color: #ccc !important;
    text-decoration: none;
}

.icons a:hover {
    color: white;
    text-shadow: 0 0 30px white;
}

/* header custom */
.dropdown-toggle{
    position: relative;
    padding-right: 20px;
}
.dropdown-menu  .dropdown-toggle::after {
    position: absolute;
    right: 16px;
    top: 50%;
    margin-top: 1px;
    transform: translate(0,-50%);
}
.header-top{
    padding: 16px 0px;
}
.header-top .container{
    width: 100%;
    display: flex;
    position: relative;
}

.header-top .top-links{
    margin-left: auto;
    display: flex;
    flex-direction: row;
    align-items: center;
    width:var(--header-item-width) ;
    justify-content: space-between;
}

.header-top .top-links .nav-item a{
    padding: 5px 8px;
    width: 100%;
}

.header-top .navbar-brand{
    width:var(--header-item-width);
    padding:5px 5px;
}

.header-top .navbar-brand img{
    width: 100%;
    height: auto;
}

.header-top .nav-item a{
    padding: 6px 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.header-top .nav-item,.header-top .nav-item a{
    width: max-content;
    height: max-content;
}

.header-top .nav-item a::after{
    display: none;
}

.header-top .header-icon img{
    width: 30px;
}
/* 
header .container-fluid{
    padding:0px 60px ;
} */

header .mobile-logo{
    display: none;
}

header nav{
    background-color: var(--main-color);
    padding-top: 0 !important;
    padding-bottom: 0 !important;
}

header .navbar-collapse{
    width: 100%;
    display: flex;
}

header .header-btm .nav-item{
    border-left: 3px solid #fff;
    /* padding-top: 5px;
    padding-bottom: 5px; */
    width:var(--header-item-width);
    text-align: center;
}

header .header-btm .nav-item:nth-last-child(1){
    border-right: 3px solid #fff;
}

header .navbar-nav{
    width: 100%;
}

header .nav-item .nav-link,header .nav-item.dropdown .nav-link{
    color: var(--btn-color);
    font-size: var(--font-18);
    font-weight: var(--font-bolder-600);
    letter-spacing: 1px;
    padding: 13px 8px;
}

header .nav-item .nav-link.active{
    background-color: var(--green-color-1);
    color: #fff;
}


.icon-user,.icon-cart,.icon-heart{
    font-size: 24px;
    line-height: 1;
}

.icon-cart{
    font-size: 29px;
}

.icon-cart,.icon-heart{
    color: gray;
}

.icon-user{
    background-color: gray;
    width: 30px;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: flex-end;
    border-radius: 50%;
    line-height: 1;
    color: #fff;
    font-size: 28px;
    padding-left: 1px;
}

.icon-user::before{
    position: absolute;
    left: 50%;
    bottom: 12px;
    padding-top: 0px;
    padding-left: 2px;
    transform: translate(-50%,0%);
}

.navbar-toggler{
    display: none;
}

/* footer */
footer{
    width: 100%;
    color: #fff;
    /* padding: 16px; */
    background-color: #3e8d88;
    position: relative;
}

footer::after{
    content: "";
    width: 20vw;
    height: 100%;
    background-color: #2c635f;
    position: absolute;
    right: 0;
    top: 0;

}

footer .footer-content{
    display: flex;
    align-items: center;
}

footer .footer-content.end{
    justify-content: flex-end;
    position: relative;
}

footer .footer-content.end::before{
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: #2c635f;
    position: absolute;
    clip-path: polygon(15% 0%, 100% 0%, 100% 100%, 0% 100%);

}

footer .footer-link-group,footer .footer-info-group{
    padding: 48px 0px;
    position: relative;
    z-index: 1;
}

footer .footer-link-group li,footer .footer-info-group li{
    display: flex;
    flex-wrap: wrap;
    padding-top: 16px;
    font-weight: var(--font-bolder-600);
    letter-spacing: 1px;
}

footer .footer-info-group{
    flex-direction: column;
    align-items: flex-end;
    justify-content: flex-end;
    position: relative;
    z-index: 1;
}

footer .footer-info-group li{
    padding-top: 5px;
    display: flex;
    justify-content: flex-end;
}


footer .footer-link-group li:nth-child(1),footer .footer-info-group li:nth-child(1){
    padding-top: 0 !important;
}

footer .footer-link-group li a,.footer-info-group li a{
    color: #fff;
    padding: 0px 5px;
}

.footer-brand img{
    width: 250px;
    height: auto;
}

.copyright{
    width: 100%;
    background-color: #fff;
    padding: 16px 0px;
    color: #606060;
    position: relative;
    z-index: 2;
    font-size: var(--font-14);
    /* font-weight: var(--font-bolder-600); */
}

.fixed-contact-icons{
    position: fixed;
    right: 0;
    z-index: 9999999;
    bottom: 50vh;
    transform: translateY(50%);
    background-color: #fff;
    padding: 16px 0px;
    border-radius: 8px;
    box-shadow: -2px 1px 5px #dcdcdc78;
}

.fixed-contact-icons .icon-item{
    padding: 16px;
}

.icon-item a i,.icon-item .gotop i,.icon-item .search i{
    color: var(--main-color);
    font-size: var(--font-24);
    cursor: pointer;
    transition: all .4s ease-in-out;
}

.icon-item a:hover i,.icon-item .gotop:hover i,.icon-item .search:hover i{
    color: var(--dark-main-color);
    transition: all .4s ease-in-out;
}

/* search */
.search-box {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: rgba(255, 255, 255, 0.9);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease, visibility 0.3s;
    z-index: 99999999;
    display: flex;
    align-items: center;
    justify-content: center;
}
.search-box.active {
    opacity: 1;
    visibility: visible;
}
.search-box form {
    display: flex;
    gap: 0px;
}
.search-box input {
    padding: 10px;
    font-size: 18px;
    width: 300px;
    border: 0;
    background-color: #e5e5e5;
}
.search-box button {
    padding: 10px 20px;
    font-size: 18px;
    background: var(--main-color);
    color: #fff;
    font-weight: var(--font-bolder-600);
    border: none;
    cursor: pointer;
    transition: all .4s ease-in-out;
}

.search-box button:hover{
    background-color: var(--dark-main-color);
    transition: all .4s ease-in-out;
}
.search-box .close-btn {
    position: absolute;
    top: 20px;
    right: 40px;
    font-size: 30px;
    cursor: pointer;
    color: #646464;
}

.close-btn:hover{
    color: #333;
}

@media screen and (max-width:991px) {
    /* .dropdown-menu .dropdown-item.dropdown-toggle:hover + .dropdown-menu {
        display: none !important;
    }
     */
    .dropdown-menu {
        display: none !important;
        position: relative !important;
        background-color: #f9f9f9;
        width: 100%;
        min-width: 160px;
        box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
        z-index: 1;
    }

    .dropdown-menu.show{
        display: block !important;
    }
    
    .dropdown-menu .dropdown-menu{
        left: 0 !important;
        top: 0;
    }
    
    .navbar-toggler{
        display: block;
    }

    .dropdown-menu.show{
        display: block !important;
    }

    section{
        padding: 48px 0px;
    }

    header .header-btm .nav-item{
        width: 100%;
        border-left: 0;
        text-align: left;
    }

    header .header-btm .nav-item:nth-last-child(1){
        border-right: 0;
    }

    .top-links .dropdown-menu{
        position: absolute !important;
    }
}

@media screen and (max-width:768px) {
    section{
        padding: 24px 0px;
    }

    footer::after{
        width: 70vw;
        clip-path: polygon(45% 0%, 100% 0%, 100% 100%, 0% 100%);
    }

    footer .footer-content.end::before{
        display: none;
    }

    footer .footer-link-group,footer .footer-info-group{
        padding: 8px 0px;
    }

    footer .footer-link-group li, footer .footer-info-group li,footer .footer-content.end{
        justify-content: center;
    }

    .footer-link-group{
        padding-top: 32px !important;
    }

    .footer-info-group{
        padding-bottom: 32px !important;
    }
}


@media screen and (max-width:600px) {
    section{
        padding: 24px 0px;
    }
}